[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TCustomColorListBox.ColorRectWidth

Width for the color sample (swatch) displayed for colors in the item list.

## Declaration

Source position: colorbox.pas line 207

`public property TCustomColorListBox.ColorRectWidth : Integer read GetColorRectWidth write SetColorRectWidth stored ColorRectWidthStored;`

## Description

ColorRectWidth is an Integer property which contains the number of pixels used to draw the color sample (or swatch) for each of the Colors in the list box control. The height for the list Item is in the ItemHeight property.

If an explicit value has not been assigned to ColorRectWidth, the value in cDefaultColorRectWidth is scaled to the current display density and used as the property value.

Setting a new value for the property causes the control to be redrawn.

Use ColorRectOffset for the number of pixels used between the color sample and its color name.